Description

When running in java 8 (1.8-025) the code sign utility hangs
In the console for the first jar only steps start processing and repacked are shown

History

#1 - 12/04/2014 08:52 PM - Patrick Talbot

- Status changed from New to In Progress

| haven't had a chance to give it some tests on Java 8 yet.
In the meantime, | would recommend signing your jars with Java 7.

#2 - 01/12/2015 08:11 AM - Michel van Klink

On OSX yosemite we don’t want to run java 7 because it is not supported by apple or oracle. Do you know when this tool will be java 8 ready?

#3 - 01/12/2015 08:05 PM - Patrick Talbot

If you're in a hurry, you can always sponsor that change.

#4 - 01/12/2015 08:49 PM - Robert Ivens

Actually | don't see any notices on the Java website that Java 7 is not supported on Yosemite. When Yosemite was beta it was indeed not supported.
Now Java 7 installs and runs fine on my Yosemite install.
As for being in a hurry, as already suggested you could add an incentive (donate money) or supply a patch yourself. It's Open Source after all.

#5 - 02/13/2015 11:20 AM - Michel van Klink

Changing to java 8 takes more than simply adding some classes from the jdk (like it was done for java 7) because class sun.security.tools.JarSigner
does not exist anymore in java 8. It is now called sun.security.tools.jarsigner.Main

#6 - 02/25/2015 09:42 AM - Michel van Klink

Hello Patrick, | created a patch for this. Because the class sun.security.tools.JarSigner no longer exists in java 8 the correct class

sun.security.tools.jarsigner.Main has to be used. A JarSignerChooser class was created for this. Can | just check this in (never supplied code to an
open source project before)?

#7 - 03/02/2015 04:19 PM - Michel van Klink
- File CodeSigner.zip added

Attached you will find a zip containing my patch and the classes8 directory.

#8 - 03/02/2015 05:15 PM - Patrick Talbot

- Status changed from In Progress to Closed

Fixed in v1.3

Files

CodeSigner.zip 51.2KB 03/02/2015 Michel van Klink
